import { __assign } from "tslib";
import { withThemeableProps } from '../../useThemeable';
import { classNamesFunction } from '@uifabric-vue/utilities';
import Vue from 'vue';
var getClassNames = classNamesFunction();
export default Vue.extend({
    name: 'TextBase',
    functional: true,
    props: __assign(__assign({}, withThemeableProps()), { as: { type: String, default: 'span' }, nowrap: { type: Boolean, default: false }, block: { type: Boolean, default: false }, variant: { type: String, default: 'medium' } }),
    render: function (h, ctx) {
        var _a = ctx.props, RootType = _a.as, theme = _a.theme, styles = _a.styles, block = _a.block, nowrap = _a.nowrap, variant = _a.variant;
        var classNames = getClassNames(styles, {
            theme: theme,
            block: block,
            nowrap: nowrap,
            variant: variant,
        });
        return h(RootType, __assign(__assign({}, ctx.data), { on: ctx.listeners, class: classNames.root }), ctx.children);
    },
});
//# sourceMappingURL=Text.view.js.map