import Vue from 'vue';
import { ICalendarYearStyleProps, ICalendarYearStyles } from './CalendarYear.types';
export declare const CalendarYearGrid: import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, {
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarYearStyleProps, ICalendarYearStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    animationDirection?: import("..").AnimationDirection | undefined;
    strings?: import("./CalendarYear.types").ICalendarYearStrings | undefined;
    navigationIcons?: import("..").ICalendarNavigationIcons | undefined;
    onHeaderSelect?: void | ((focus: boolean) => void);
    selectedYear?: number | undefined;
    navigatedYear?: number | undefined;
    onSelectYear?: void | ((year: number) => void);
    minYear?: number | undefined;
    maxYear?: number | undefined;
    highlightCurrentYear?: boolean | undefined;
    highlightSelectedYear?: boolean | undefined;
    animateBackwards?: boolean | undefined;
    fromYear: number;
    toYear: number;
}>;
//# sourceMappingURL=CalendarYearGrid.d.ts.map