import Vue from 'vue';
import { ICalendarNavigationIcons } from '..';
import { ICalendarYearStyleProps, ICalendarYearStyles } from './CalendarYear.types';
export declare const enum CalendarYearNavDirection {
    Previous = 0,
    Next = 1
}
export declare const CalendarYearNavArrow: import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, {
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarYearStyleProps, ICalendarYearStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    animationDirection?: import("../../../../lib/components").AnimationDirection | undefined;
    direction: CalendarYearNavDirection;
    strings?: import("../../../../lib/components").ICalendarYearStrings | undefined;
    navigationIcons?: ICalendarNavigationIcons | undefined;
    onHeaderSelect?: void | ((focus: boolean) => void);
    selectedYear?: number | undefined;
    navigatedYear?: number | undefined;
    onSelectYear?: void | ((year: number) => void);
    minYear?: number | undefined;
    maxYear?: number | undefined;
    highlightCurrentYear?: boolean | undefined;
    highlightSelectedYear?: boolean | undefined;
    onSelectPrev?: void | (() => void);
    onSelectNext?: void | (() => void);
    animateBackwards?: boolean | undefined;
    fromYear: number;
    toYear: number;
}>;
//# sourceMappingURL=CalendarYearNavArrow.d.ts.map