import { IRectangle } from '@uifabric-vue/utilities';
import Vue from 'vue';
import { DirectionalHint } from '../../common/DirectionalHint';
export declare const CalloutContentBase: import("vue/types/vue").ExtendedVue<Vue, any, {
    updatePosition(): void;
    dismissOnScroll(ev: Event): void;
    dismissOnResize(ev: Event): void;
    dismissOnLostFocus(ev: Event): void;
    dismissOnClickOrScroll(ev: Event): void;
    getMaxHeight(): number | undefined;
}, {
    beakVisible: boolean;
    targetRef: HTMLElement;
    classNames: any;
    overflowStyle: any;
    visibilityStyle: any;
    actualBeakWidth: number;
    positionCss: any;
    bounds: IRectangle;
    beakPosition: any;
    positionsExists: boolean;
}, {
    target: any;
    calloutWidth: number;
    beakWidth: number;
    minPagePadding: number;
    isBeakVisible: boolean;
    coverTarget: boolean;
    gapSpace: number;
    finalHeight: number;
    calloutMaxWidth: number;
    calloutMinWidth: number;
    calloutMaxHeight: number;
    backgroundColor: string;
    directionalHint: DirectionalHint;
    directionalHintFixed: boolean;
    overflowYHidden: boolean;
    doNotLayer: boolean;
    preventDismissOnScroll: boolean;
    preventDismissOnResize: boolean;
    preventDismissOnLostFocus: boolean;
    dismissOnTargetClick: boolean;
    repositionOnChildrenUpdated: boolean;
    className: string;
    styles: any;
    theme: import("@fluentui/style-utilities").ITheme;
}>;
//# sourceMappingURL=CalloutContent.base.d.ts.map