import { PersonaSize } from '../Persona';
import { IFacepileStyleProps, IFacepileStyles } from './Facepile.types';
import Vue from 'vue';
import { IFacepilePersona } from '..';
import { IProcessedStyleSet } from '@fluentui/style-utilities';
export declare const FacepileBase: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, {
    singlePersona: boolean;
    classNames: IProcessedStyleSet<IFacepileStyles>;
}, {
    ariaLabel?: string | undefined;
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<IFacepileStyleProps, IFacepileStyles> | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    showTooltip?: boolean | undefined;
    personas: IFacepilePersona[];
    overflowPersonas?: IFacepilePersona[] | undefined;
    maxDisplayablePersonas?: number | undefined;
    personaSize?: PersonaSize | undefined;
    ariaDescription?: string | undefined;
    showAddButton?: boolean | undefined;
    addButtonProps?: import("..").IButtonProps | undefined;
    chevronButtonProps?: import("..").IButtonProps | undefined;
    overflowButtonProps?: import("..").IButtonProps | undefined;
    overflowButtonType?: import("./Facepile.types").OverflowButtonType | undefined;
    getPersonaProps?: ((persona: IFacepilePersona) => import("..").IPersonaSharedProps) | import("..").IPersonaSharedProps | undefined;
}>;
//# sourceMappingURL=Facepile.base.d.ts.map