import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { ISliderStyleProps, ISliderStyles } from './Slider.types';
export declare const ONKEYDOWN_TIMEOUT_DURATION = 1000;
export declare const SliderBase: import("vue/types/vue").ExtendedVue<Vue, {
    internalValue: number | undefined;
    renderedValue: number | undefined;
    onKeyDownTimer: number;
}, {
    onMouseDown(event: any): void;
    onMouseUp(event: any): void;
    onMove(event: any): void;
    getPosition(event: MouseEvent | TouchEvent, vertical: boolean | undefined): number | undefined;
    updateValue(value: number, renderedValue: number): void;
    onKeyDown(event: KeyboardEvent): void;
    clearOnKeyDownTimer(): void;
    setOnKeyDownTimer(event: KeyboardEvent): void;
}, {
    classNames: IProcessedStyleSet<ISliderStyles>;
    thumbOffsetPercent: number;
    zeroOffsetPercent: number;
    lengthString: string;
}, {
    ariaLabel?: string | undefined;
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ISliderStyleProps, ISliderStyles> | undefined;
    theme?: import("@uifabric/styling").ITheme | undefined;
    vertical?: boolean | undefined;
    disabled?: boolean | undefined;
    label?: string | undefined;
    value?: number | undefined;
    onChange?: void | ((value: number, range?: [number, number] | undefined, event?: any) => void);
    onChanged?: void | ((event: any, value: number, range?: [number, number] | undefined) => void);
    defaultValue?: number | undefined;
    min?: number | undefined;
    max?: number | undefined;
    step?: number | undefined;
    ranged?: boolean | undefined;
    defaultLowerValue?: number | undefined;
    lowerValue?: number | undefined;
    showValue?: boolean | undefined;
    ariaValueText?: string | ((value: number) => string) | undefined;
    snapToStep?: boolean | undefined;
    buttonProps?: any;
    valueFormat?: string | ((value: number) => string) | undefined;
    originFromZero?: boolean | undefined;
}>;
//# sourceMappingURL=Slider.base.d.ts.map