import Vue from 'vue';
import { AnimationDirection } from '../Calendar.types';
import { ICalendarYearStyleProps, ICalendarYearStyles } from './CalendarYear.types';
export declare const CalendarYearHeader: import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, {
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<ICalendarYearStyleProps, ICalendarYearStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    animationDirection?: AnimationDirection | undefined;
    strings?: import("./CalendarYear.types").ICalendarYearStrings | undefined;
    navigationIcons?: import("../Calendar.types").ICalendarNavigationIcons | undefined;
    onHeaderSelect?: void | ((focus: boolean) => void);
    selectedYear?: number | undefined;
    navigatedYear?: number | undefined;
    onSelectYear?: void | ((year: number) => void);
    minYear?: number | undefined;
    maxYear?: number | undefined;
    highlightCurrentYear?: boolean | undefined;
    highlightSelectedYear?: boolean | undefined;
    onSelectPrev?: void | (() => void);
    onSelectNext?: void | (() => void);
    animateBackwards?: boolean | undefined;
    fromYear: number;
    toYear: number;
}>;
//# sourceMappingURL=CalendarYearHeader.d.ts.map