import { IProcessedStyleSet } from '@uifabric/merge-styles';
import Vue from 'vue';
import { IImageStyles, ImageLoadState } from './Image.types';
export declare const ImageBase: import("vue/types/vue").ExtendedVue<Vue, {
    loadState: ImageLoadState;
}, {
    onImageLoaded(): void;
    onImageError(): void;
}, {
    classNames: IProcessedStyleSet<IImageStyles>;
}, {
    className: string;
    styles: any;
    theme: import("@fluentui/style-utilities").ITheme;
    src: string;
    alt: string;
    width: string | number;
    height: string | number;
    imageFit: number;
    maximizeFrame: boolean;
    shouldFadeIn: boolean;
    shouldStartVisible: boolean;
    coverStyle: number;
}>;
//# sourceMappingURL=Image.base.d.ts.map